/**
 * This software program, Simple Data Access Layer (SDAL), is copyrighted by Object
 * Computing inc of St. Louis MO USA. It is provided under the open-source model
 * and is free of license fees. You are free to modify this code for your own use
 * but you may not claim copyright.
 *
 * Since SDAL is open source and free of licensing fees, you are free to use,
 * modify, and distribute the source code, as long as you include this copyright
 * statement.
 *
 * In particular, you can use SDAL to build proprietary software and are under no
 * obligation to redistribute any of your source code that is built using SDAL.
 * Note, however, that you may not do anything to the SDAL code, such as
 * copyrighting it yourself or claiming authorship of the SDAL code, that will
 * prevent SDAL from being distributed freely using an open source development
 * model.
 *
 * Warranty
 * LICENSED PRODUCT, SDAL, IS PROVIDED AS IS WITH NO WARRANTIES OF ANY KIND INCLUDING THE
 * WARRANTIES OF DESIGN, MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE,
 * NONINFRINGEMENT, OR ARISING FROM A COURSE OF DEALING, USAGE OR TRADE PRACTICE.
 *
 * Support
 * LICENSED PRODUCT, SDAL, IS PROVIDED WITH NO SUPPORT AND WITHOUT ANY OBLIGATION ON THE
 * PART OF OCI OR ANY OF ITS SUBSIDIARIES OR AFFILIATES TO ASSIST IN ITS USE,
 * CORRECTION, MODIFICATION OR ENHANCEMENT.
 *
 * Support may be available from OCI to users who have agreed to a support
 * contract.
 *
 * Liability
 * OCI OR ANY OF ITS SUBSIDIARIES OR AFFILIATES SHALL HAVE NO LIABILITY WITH
 * RESPECT TO THE INFRINGEMENT OF COPYRIGHTS, TRADE SECRETS OR ANY PATENTS BY
 * LICENSED PRODUCT OR ANY PART THEREOF.
 *
 * IN NO EVENT WILL OCI OR ANY OF ITS SUBSIDIARIES OR AFFILIATES BE LIABLE FOR ANY
 * LOST REVENUE OR PROFITS OR OTHER SPECIAL, INDIRECT AND CONSEQUENTIAL DAMAGES,
 * EVEN IF OCI HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 *
 * Copyright OCI. St. Louis MO USA, 2004
 *
 */
package com.ociweb.service;

public class MockQuery extends MockCommonQuery implements Query {

    public boolean setParameterCalled;
    public com.ociweb.service.Query setParameterReturn;
    public Throwable setParameterException;
    public int setParameterI;
    public java.lang.Object setParameterO;
    public com.ociweb.service.Query setParameter(int i, java.lang.Object o) throws com.ociweb.service.LookupException {
        setParameterCalled = true;
        this.setParameterI = i;
        this.setParameterO = o;
        if (setParameterException != null) {
            if (setParameterException instanceof com.ociweb.service.LookupException)
                throw (com.ociweb.service.LookupException) setParameterException;
            if (setParameterException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setParameterException;
            if (setParameterException instanceof java.lang.Error)
                throw (java.lang.Error) setParameterException;
            throw new RuntimeException();
        }
        return this.setParameterReturn;
    }

    public boolean setParameter2Called;
    public com.ociweb.service.Query setParameter2Return;
    public Throwable setParameter2Exception;
    public java.lang.String setParameter2S;
    public java.lang.Object setParameter2O;
    public com.ociweb.service.Query setParameter(java.lang.String s, java.lang.Object o) throws com.ociweb.service.LookupException {
        setParameter2Called = true;
        this.setParameter2S = s;
        this.setParameter2O = o;
        if (setParameter2Exception != null) {
            if (setParameter2Exception instanceof com.ociweb.service.LookupException)
                throw (com.ociweb.service.LookupException) setParameter2Exception;
            if (setParameter2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setParameter2Exception;
            if (setParameter2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setParameter2Exception;
            throw new RuntimeException();
        }
        return this.setParameter2Return;
    }

    public boolean setParameterListCalled;
    public com.ociweb.service.Query setParameterListReturn;
    public Throwable setParameterListException;
    public java.lang.String setParameterListS;
    public java.util.Collection setParameterListCollection;
    public com.ociweb.service.Query setParameterList(java.lang.String s, java.util.Collection collection) throws com.ociweb.service.LookupException {
        setParameterListCalled = true;
        this.setParameterListS = s;
        this.setParameterListCollection = collection;
        if (setParameterListException != null) {
            if (setParameterListException instanceof com.ociweb.service.LookupException)
                throw (com.ociweb.service.LookupException) setParameterListException;
            if (setParameterListException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setParameterListException;
            if (setParameterListException instanceof java.lang.Error)
                throw (java.lang.Error) setParameterListException;
            throw new RuntimeException();
        }
        return this.setParameterListReturn;
    }

    public boolean setParameterList2Called;
    public com.ociweb.service.Query setParameterList2Return;
    public Throwable setParameterList2Exception;
    public java.lang.String setParameterList2S;
    public java.lang.Object[] setParameterList2Objects;
    public com.ociweb.service.Query setParameterList(java.lang.String s, java.lang.Object[] objects) throws com.ociweb.service.LookupException {
        setParameterList2Called = true;
        this.setParameterList2S = s;
        this.setParameterList2Objects = objects;
        if (setParameterList2Exception != null) {
            if (setParameterList2Exception instanceof com.ociweb.service.LookupException)
                throw (com.ociweb.service.LookupException) setParameterList2Exception;
            if (setParameterList2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setParameterList2Exception;
            if (setParameterList2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setParameterList2Exception;
            throw new RuntimeException();
        }
        return this.setParameterList2Return;
    }

    public boolean setPropertiesCalled;
    public com.ociweb.service.Query setPropertiesReturn;
    public Throwable setPropertiesException;
    public java.lang.Object setPropertiesO;
    public com.ociweb.service.Query setProperties(java.lang.Object o) throws com.ociweb.service.LookupException {
        setPropertiesCalled = true;
        this.setPropertiesO = o;
        if (setPropertiesException != null) {
            if (setPropertiesException instanceof com.ociweb.service.LookupException)
                throw (com.ociweb.service.LookupException) setPropertiesException;
            if (setPropertiesException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setPropertiesException;
            if (setPropertiesException instanceof java.lang.Error)
                throw (java.lang.Error) setPropertiesException;
            throw new RuntimeException();
        }
        return this.setPropertiesReturn;
    }

    public boolean setStringCalled;
    public com.ociweb.service.Query setStringReturn;
    public Throwable setStringException;
    public int setStringI;
    public java.lang.String setStringS;
    public com.ociweb.service.Query setString(int i, java.lang.String s) {
        setStringCalled = true;
        this.setStringI = i;
        this.setStringS = s;
        if (setStringException != null) {
            if (setStringException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setStringException;
            if (setStringException instanceof java.lang.Error)
                throw (java.lang.Error) setStringException;
            throw new RuntimeException();
        }
        return this.setStringReturn;
    }

    public boolean setCharacterCalled;
    public com.ociweb.service.Query setCharacterReturn;
    public Throwable setCharacterException;
    public int setCharacterI;
    public char setCharacterC;
    public com.ociweb.service.Query setCharacter(int i, char c) {
        setCharacterCalled = true;
        this.setCharacterI = i;
        this.setCharacterC = c;
        if (setCharacterException != null) {
            if (setCharacterException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCharacterException;
            if (setCharacterException instanceof java.lang.Error)
                throw (java.lang.Error) setCharacterException;
            throw new RuntimeException();
        }
        return this.setCharacterReturn;
    }

    public boolean setBooleanCalled;
    public com.ociweb.service.Query setBooleanReturn;
    public Throwable setBooleanException;
    public int setBooleanI;
    public boolean setBooleanB;
    public com.ociweb.service.Query setBoolean(int i, boolean b) {
        setBooleanCalled = true;
        this.setBooleanI = i;
        this.setBooleanB = b;
        if (setBooleanException != null) {
            if (setBooleanException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBooleanException;
            if (setBooleanException instanceof java.lang.Error)
                throw (java.lang.Error) setBooleanException;
            throw new RuntimeException();
        }
        return this.setBooleanReturn;
    }

    public boolean setByteCalled;
    public com.ociweb.service.Query setByteReturn;
    public Throwable setByteException;
    public int setByteI;
    public byte setByteB;
    public com.ociweb.service.Query setByte(int i, byte b) {
        setByteCalled = true;
        this.setByteI = i;
        this.setByteB = b;
        if (setByteException != null) {
            if (setByteException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setByteException;
            if (setByteException instanceof java.lang.Error)
                throw (java.lang.Error) setByteException;
            throw new RuntimeException();
        }
        return this.setByteReturn;
    }

    public boolean setShortCalled;
    public com.ociweb.service.Query setShortReturn;
    public Throwable setShortException;
    public int setShortI;
    public short setShortI1;
    public com.ociweb.service.Query setShort(int i, short i1) {
        setShortCalled = true;
        this.setShortI = i;
        this.setShortI1 = i1;
        if (setShortException != null) {
            if (setShortException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setShortException;
            if (setShortException instanceof java.lang.Error)
                throw (java.lang.Error) setShortException;
            throw new RuntimeException();
        }
        return this.setShortReturn;
    }

    public boolean setIntegerCalled;
    public com.ociweb.service.Query setIntegerReturn;
    public Throwable setIntegerException;
    public int setIntegerI;
    public int setIntegerI1;
    public com.ociweb.service.Query setInteger(int i, int i1) {
        setIntegerCalled = true;
        this.setIntegerI = i;
        this.setIntegerI1 = i1;
        if (setIntegerException != null) {
            if (setIntegerException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setIntegerException;
            if (setIntegerException instanceof java.lang.Error)
                throw (java.lang.Error) setIntegerException;
            throw new RuntimeException();
        }
        return this.setIntegerReturn;
    }

    public boolean setLongCalled;
    public com.ociweb.service.Query setLongReturn;
    public Throwable setLongException;
    public int setLongI;
    public long setLongL;
    public com.ociweb.service.Query setLong(int i, long l) {
        setLongCalled = true;
        this.setLongI = i;
        this.setLongL = l;
        if (setLongException != null) {
            if (setLongException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setLongException;
            if (setLongException instanceof java.lang.Error)
                throw (java.lang.Error) setLongException;
            throw new RuntimeException();
        }
        return this.setLongReturn;
    }

    public boolean setFloatCalled;
    public com.ociweb.service.Query setFloatReturn;
    public Throwable setFloatException;
    public int setFloatI;
    public float setFloatV;
    public com.ociweb.service.Query setFloat(int i, float v) {
        setFloatCalled = true;
        this.setFloatI = i;
        this.setFloatV = v;
        if (setFloatException != null) {
            if (setFloatException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setFloatException;
            if (setFloatException instanceof java.lang.Error)
                throw (java.lang.Error) setFloatException;
            throw new RuntimeException();
        }
        return this.setFloatReturn;
    }

    public boolean setDoubleCalled;
    public com.ociweb.service.Query setDoubleReturn;
    public Throwable setDoubleException;
    public int setDoubleI;
    public double setDoubleV;
    public com.ociweb.service.Query setDouble(int i, double v) {
        setDoubleCalled = true;
        this.setDoubleI = i;
        this.setDoubleV = v;
        if (setDoubleException != null) {
            if (setDoubleException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setDoubleException;
            if (setDoubleException instanceof java.lang.Error)
                throw (java.lang.Error) setDoubleException;
            throw new RuntimeException();
        }
        return this.setDoubleReturn;
    }

    public boolean setBinaryCalled;
    public com.ociweb.service.Query setBinaryReturn;
    public Throwable setBinaryException;
    public int setBinaryI;
    public byte[] setBinaryBytes;
    public com.ociweb.service.Query setBinary(int i, byte[] bytes) {
        setBinaryCalled = true;
        this.setBinaryI = i;
        this.setBinaryBytes = bytes;
        if (setBinaryException != null) {
            if (setBinaryException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBinaryException;
            if (setBinaryException instanceof java.lang.Error)
                throw (java.lang.Error) setBinaryException;
            throw new RuntimeException();
        }
        return this.setBinaryReturn;
    }

    public boolean setSerializableCalled;
    public com.ociweb.service.Query setSerializableReturn;
    public Throwable setSerializableException;
    public int setSerializableI;
    public java.io.Serializable setSerializableSerializable;
    public com.ociweb.service.Query setSerializable(int i, java.io.Serializable serializable) {
        setSerializableCalled = true;
        this.setSerializableI = i;
        this.setSerializableSerializable = serializable;
        if (setSerializableException != null) {
            if (setSerializableException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setSerializableException;
            if (setSerializableException instanceof java.lang.Error)
                throw (java.lang.Error) setSerializableException;
            throw new RuntimeException();
        }
        return this.setSerializableReturn;
    }

    public boolean setLocaleCalled;
    public com.ociweb.service.Query setLocaleReturn;
    public Throwable setLocaleException;
    public int setLocaleI;
    public java.util.Locale setLocaleLocale;
    public com.ociweb.service.Query setLocale(int i, java.util.Locale locale) {
        setLocaleCalled = true;
        this.setLocaleI = i;
        this.setLocaleLocale = locale;
        if (setLocaleException != null) {
            if (setLocaleException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setLocaleException;
            if (setLocaleException instanceof java.lang.Error)
                throw (java.lang.Error) setLocaleException;
            throw new RuntimeException();
        }
        return this.setLocaleReturn;
    }

    public boolean setBigDecimalCalled;
    public com.ociweb.service.Query setBigDecimalReturn;
    public Throwable setBigDecimalException;
    public int setBigDecimalI;
    public java.math.BigDecimal setBigDecimalBigDecimal;
    public com.ociweb.service.Query setBigDecimal(int i, java.math.BigDecimal bigDecimal) {
        setBigDecimalCalled = true;
        this.setBigDecimalI = i;
        this.setBigDecimalBigDecimal = bigDecimal;
        if (setBigDecimalException != null) {
            if (setBigDecimalException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBigDecimalException;
            if (setBigDecimalException instanceof java.lang.Error)
                throw (java.lang.Error) setBigDecimalException;
            throw new RuntimeException();
        }
        return this.setBigDecimalReturn;
    }

    public boolean setDateCalled;
    public com.ociweb.service.Query setDateReturn;
    public Throwable setDateException;
    public int setDateI;
    public java.util.Date setDateDate;
    public com.ociweb.service.Query setDate(int i, java.util.Date date) {
        setDateCalled = true;
        this.setDateI = i;
        this.setDateDate = date;
        if (setDateException != null) {
            if (setDateException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setDateException;
            if (setDateException instanceof java.lang.Error)
                throw (java.lang.Error) setDateException;
            throw new RuntimeException();
        }
        return this.setDateReturn;
    }

    public boolean setTimeCalled;
    public com.ociweb.service.Query setTimeReturn;
    public Throwable setTimeException;
    public int setTimeI;
    public java.util.Date setTimeDate;
    public com.ociweb.service.Query setTime(int i, java.util.Date date) {
        setTimeCalled = true;
        this.setTimeI = i;
        this.setTimeDate = date;
        if (setTimeException != null) {
            if (setTimeException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTimeException;
            if (setTimeException instanceof java.lang.Error)
                throw (java.lang.Error) setTimeException;
            throw new RuntimeException();
        }
        return this.setTimeReturn;
    }

    public boolean setTimestampCalled;
    public com.ociweb.service.Query setTimestampReturn;
    public Throwable setTimestampException;
    public int setTimestampI;
    public java.util.Date setTimestampDate;
    public com.ociweb.service.Query setTimestamp(int i, java.util.Date date) {
        setTimestampCalled = true;
        this.setTimestampI = i;
        this.setTimestampDate = date;
        if (setTimestampException != null) {
            if (setTimestampException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTimestampException;
            if (setTimestampException instanceof java.lang.Error)
                throw (java.lang.Error) setTimestampException;
            throw new RuntimeException();
        }
        return this.setTimestampReturn;
    }

    public boolean setCalendarCalled;
    public com.ociweb.service.Query setCalendarReturn;
    public Throwable setCalendarException;
    public int setCalendarI;
    public java.util.Calendar setCalendarCalendar;
    public com.ociweb.service.Query setCalendar(int i, java.util.Calendar calendar) {
        setCalendarCalled = true;
        this.setCalendarI = i;
        this.setCalendarCalendar = calendar;
        if (setCalendarException != null) {
            if (setCalendarException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCalendarException;
            if (setCalendarException instanceof java.lang.Error)
                throw (java.lang.Error) setCalendarException;
            throw new RuntimeException();
        }
        return this.setCalendarReturn;
    }

    public boolean setCalendarDateCalled;
    public com.ociweb.service.Query setCalendarDateReturn;
    public Throwable setCalendarDateException;
    public int setCalendarDateI;
    public java.util.Calendar setCalendarDateCalendar;
    public com.ociweb.service.Query setCalendarDate(int i, java.util.Calendar calendar) {
        setCalendarDateCalled = true;
        this.setCalendarDateI = i;
        this.setCalendarDateCalendar = calendar;
        if (setCalendarDateException != null) {
            if (setCalendarDateException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCalendarDateException;
            if (setCalendarDateException instanceof java.lang.Error)
                throw (java.lang.Error) setCalendarDateException;
            throw new RuntimeException();
        }
        return this.setCalendarDateReturn;
    }

    public boolean setString2Called;
    public com.ociweb.service.Query setString2Return;
    public Throwable setString2Exception;
    public java.lang.String setString2S;
    public java.lang.String setString2S1;
    public com.ociweb.service.Query setString(java.lang.String s, java.lang.String s1) {
        setString2Called = true;
        this.setString2S = s;
        this.setString2S1 = s1;
        if (setString2Exception != null) {
            if (setString2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setString2Exception;
            if (setString2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setString2Exception;
            throw new RuntimeException();
        }
        return this.setString2Return;
    }

    public boolean setCharacter2Called;
    public com.ociweb.service.Query setCharacter2Return;
    public Throwable setCharacter2Exception;
    public java.lang.String setCharacter2S;
    public char setCharacter2C;
    public com.ociweb.service.Query setCharacter(java.lang.String s, char c) {
        setCharacter2Called = true;
        this.setCharacter2S = s;
        this.setCharacter2C = c;
        if (setCharacter2Exception != null) {
            if (setCharacter2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCharacter2Exception;
            if (setCharacter2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setCharacter2Exception;
            throw new RuntimeException();
        }
        return this.setCharacter2Return;
    }

    public boolean setBoolean2Called;
    public com.ociweb.service.Query setBoolean2Return;
    public Throwable setBoolean2Exception;
    public java.lang.String setBoolean2S;
    public boolean setBoolean2B;
    public com.ociweb.service.Query setBoolean(java.lang.String s, boolean b) {
        setBoolean2Called = true;
        this.setBoolean2S = s;
        this.setBoolean2B = b;
        if (setBoolean2Exception != null) {
            if (setBoolean2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBoolean2Exception;
            if (setBoolean2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setBoolean2Exception;
            throw new RuntimeException();
        }
        return this.setBoolean2Return;
    }

    public boolean setByte2Called;
    public com.ociweb.service.Query setByte2Return;
    public Throwable setByte2Exception;
    public java.lang.String setByte2S;
    public byte setByte2B;
    public com.ociweb.service.Query setByte(java.lang.String s, byte b) {
        setByte2Called = true;
        this.setByte2S = s;
        this.setByte2B = b;
        if (setByte2Exception != null) {
            if (setByte2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setByte2Exception;
            if (setByte2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setByte2Exception;
            throw new RuntimeException();
        }
        return this.setByte2Return;
    }

    public boolean setShort2Called;
    public com.ociweb.service.Query setShort2Return;
    public Throwable setShort2Exception;
    public java.lang.String setShort2S;
    public short setShort2I;
    public com.ociweb.service.Query setShort(java.lang.String s, short i) {
        setShort2Called = true;
        this.setShort2S = s;
        this.setShort2I = i;
        if (setShort2Exception != null) {
            if (setShort2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setShort2Exception;
            if (setShort2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setShort2Exception;
            throw new RuntimeException();
        }
        return this.setShort2Return;
    }

    public boolean setInteger2Called;
    public com.ociweb.service.Query setInteger2Return;
    public Throwable setInteger2Exception;
    public java.lang.String setInteger2S;
    public int setInteger2I;
    public com.ociweb.service.Query setInteger(java.lang.String s, int i) {
        setInteger2Called = true;
        this.setInteger2S = s;
        this.setInteger2I = i;
        if (setInteger2Exception != null) {
            if (setInteger2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setInteger2Exception;
            if (setInteger2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setInteger2Exception;
            throw new RuntimeException();
        }
        return this.setInteger2Return;
    }

    public boolean setLong2Called;
    public com.ociweb.service.Query setLong2Return;
    public Throwable setLong2Exception;
    public java.lang.String setLong2S;
    public long setLong2L;
    public com.ociweb.service.Query setLong(java.lang.String s, long l) {
        setLong2Called = true;
        this.setLong2S = s;
        this.setLong2L = l;
        if (setLong2Exception != null) {
            if (setLong2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setLong2Exception;
            if (setLong2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setLong2Exception;
            throw new RuntimeException();
        }
        return this.setLong2Return;
    }

    public boolean setFloat2Called;
    public com.ociweb.service.Query setFloat2Return;
    public Throwable setFloat2Exception;
    public java.lang.String setFloat2S;
    public float setFloat2V;
    public com.ociweb.service.Query setFloat(java.lang.String s, float v) {
        setFloat2Called = true;
        this.setFloat2S = s;
        this.setFloat2V = v;
        if (setFloat2Exception != null) {
            if (setFloat2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setFloat2Exception;
            if (setFloat2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setFloat2Exception;
            throw new RuntimeException();
        }
        return this.setFloat2Return;
    }

    public boolean setDouble2Called;
    public com.ociweb.service.Query setDouble2Return;
    public Throwable setDouble2Exception;
    public java.lang.String setDouble2S;
    public double setDouble2V;
    public com.ociweb.service.Query setDouble(java.lang.String s, double v) {
        setDouble2Called = true;
        this.setDouble2S = s;
        this.setDouble2V = v;
        if (setDouble2Exception != null) {
            if (setDouble2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setDouble2Exception;
            if (setDouble2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setDouble2Exception;
            throw new RuntimeException();
        }
        return this.setDouble2Return;
    }

    public boolean setBinary2Called;
    public com.ociweb.service.Query setBinary2Return;
    public Throwable setBinary2Exception;
    public java.lang.String setBinary2S;
    public byte[] setBinary2Bytes;
    public com.ociweb.service.Query setBinary(java.lang.String s, byte[] bytes) {
        setBinary2Called = true;
        this.setBinary2S = s;
        this.setBinary2Bytes = bytes;
        if (setBinary2Exception != null) {
            if (setBinary2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBinary2Exception;
            if (setBinary2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setBinary2Exception;
            throw new RuntimeException();
        }
        return this.setBinary2Return;
    }

    public boolean setSerializable2Called;
    public com.ociweb.service.Query setSerializable2Return;
    public Throwable setSerializable2Exception;
    public java.lang.String setSerializable2S;
    public java.io.Serializable setSerializable2Serializable;
    public com.ociweb.service.Query setSerializable(java.lang.String s, java.io.Serializable serializable) {
        setSerializable2Called = true;
        this.setSerializable2S = s;
        this.setSerializable2Serializable = serializable;
        if (setSerializable2Exception != null) {
            if (setSerializable2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setSerializable2Exception;
            if (setSerializable2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setSerializable2Exception;
            throw new RuntimeException();
        }
        return this.setSerializable2Return;
    }

    public boolean setLocale2Called;
    public com.ociweb.service.Query setLocale2Return;
    public Throwable setLocale2Exception;
    public java.lang.String setLocale2S;
    public java.util.Locale setLocale2Locale;
    public com.ociweb.service.Query setLocale(java.lang.String s, java.util.Locale locale) {
        setLocale2Called = true;
        this.setLocale2S = s;
        this.setLocale2Locale = locale;
        if (setLocale2Exception != null) {
            if (setLocale2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setLocale2Exception;
            if (setLocale2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setLocale2Exception;
            throw new RuntimeException();
        }
        return this.setLocale2Return;
    }

    public boolean setBigDecimal2Called;
    public com.ociweb.service.Query setBigDecimal2Return;
    public Throwable setBigDecimal2Exception;
    public java.lang.String setBigDecimal2S;
    public java.math.BigDecimal setBigDecimal2BigDecimal;
    public com.ociweb.service.Query setBigDecimal(java.lang.String s, java.math.BigDecimal bigDecimal) {
        setBigDecimal2Called = true;
        this.setBigDecimal2S = s;
        this.setBigDecimal2BigDecimal = bigDecimal;
        if (setBigDecimal2Exception != null) {
            if (setBigDecimal2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setBigDecimal2Exception;
            if (setBigDecimal2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setBigDecimal2Exception;
            throw new RuntimeException();
        }
        return this.setBigDecimal2Return;
    }

    public boolean setDate2Called;
    public com.ociweb.service.Query setDate2Return;
    public Throwable setDate2Exception;
    public java.lang.String setDate2S;
    public java.util.Date setDate2Date;
    public com.ociweb.service.Query setDate(java.lang.String s, java.util.Date date) {
        setDate2Called = true;
        this.setDate2S = s;
        this.setDate2Date = date;
        if (setDate2Exception != null) {
            if (setDate2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setDate2Exception;
            if (setDate2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setDate2Exception;
            throw new RuntimeException();
        }
        return this.setDate2Return;
    }

    public boolean setTime2Called;
    public com.ociweb.service.Query setTime2Return;
    public Throwable setTime2Exception;
    public java.lang.String setTime2S;
    public java.util.Date setTime2Date;
    public com.ociweb.service.Query setTime(java.lang.String s, java.util.Date date) {
        setTime2Called = true;
        this.setTime2S = s;
        this.setTime2Date = date;
        if (setTime2Exception != null) {
            if (setTime2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTime2Exception;
            if (setTime2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setTime2Exception;
            throw new RuntimeException();
        }
        return this.setTime2Return;
    }

    public boolean setTimestamp2Called;
    public com.ociweb.service.Query setTimestamp2Return;
    public Throwable setTimestamp2Exception;
    public java.lang.String setTimestamp2S;
    public java.util.Date setTimestamp2Date;
    public com.ociweb.service.Query setTimestamp(java.lang.String s, java.util.Date date) {
        setTimestamp2Called = true;
        this.setTimestamp2S = s;
        this.setTimestamp2Date = date;
        if (setTimestamp2Exception != null) {
            if (setTimestamp2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setTimestamp2Exception;
            if (setTimestamp2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setTimestamp2Exception;
            throw new RuntimeException();
        }
        return this.setTimestamp2Return;
    }

    public boolean setCalendar2Called;
    public com.ociweb.service.Query setCalendar2Return;
    public Throwable setCalendar2Exception;
    public java.lang.String setCalendar2S;
    public java.util.Calendar setCalendar2Calendar;
    public com.ociweb.service.Query setCalendar(java.lang.String s, java.util.Calendar calendar) {
        setCalendar2Called = true;
        this.setCalendar2S = s;
        this.setCalendar2Calendar = calendar;
        if (setCalendar2Exception != null) {
            if (setCalendar2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCalendar2Exception;
            if (setCalendar2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setCalendar2Exception;
            throw new RuntimeException();
        }
        return this.setCalendar2Return;
    }

    public boolean setCalendarDate2Called;
    public com.ociweb.service.Query setCalendarDate2Return;
    public Throwable setCalendarDate2Exception;
    public java.lang.String setCalendarDate2S;
    public java.util.Calendar setCalendarDate2Calendar;
    public com.ociweb.service.Query setCalendarDate(java.lang.String s, java.util.Calendar calendar) {
        setCalendarDate2Called = true;
        this.setCalendarDate2S = s;
        this.setCalendarDate2Calendar = calendar;
        if (setCalendarDate2Exception != null) {
            if (setCalendarDate2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setCalendarDate2Exception;
            if (setCalendarDate2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setCalendarDate2Exception;
            throw new RuntimeException();
        }
        return this.setCalendarDate2Return;
    }

    public boolean setEntityCalled;
    public com.ociweb.service.Query setEntityReturn;
    public Throwable setEntityException;
    public int setEntityI;
    public java.lang.Object setEntityO;
    public com.ociweb.service.Query setEntity(int i, java.lang.Object o) {
        setEntityCalled = true;
        this.setEntityI = i;
        this.setEntityO = o;
        if (setEntityException != null) {
            if (setEntityException instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setEntityException;
            if (setEntityException instanceof java.lang.Error)
                throw (java.lang.Error) setEntityException;
            throw new RuntimeException();
        }
        return this.setEntityReturn;
    }

    public boolean setEntity2Called;
    public com.ociweb.service.Query setEntity2Return;
    public Throwable setEntity2Exception;
    public java.lang.String setEntity2S;
    public java.lang.Object setEntity2O;
    public com.ociweb.service.Query setEntity(java.lang.String s, java.lang.Object o) {
        setEntity2Called = true;
        this.setEntity2S = s;
        this.setEntity2O = o;
        if (setEntity2Exception != null) {
            if (setEntity2Exception instanceof java.lang.RuntimeException)
                throw (java.lang.RuntimeException) setEntity2Exception;
            if (setEntity2Exception instanceof java.lang.Error)
                throw (java.lang.Error) setEntity2Exception;
            throw new RuntimeException();
        }
        return this.setEntity2Return;
    }

}